/*!	The MouseEvent class is the event generated for each mouse action. */
class HPS_API MouseEvent : public InputEvent
{
public:

	/*!	\enum Action
	 * 	Enumeration of various actions a mouse can undergo for a MouseEvent. */
	enum Action
	{
		ButtonUp,		/*! A mouse button has been released. */
		ButtonDown,		/*! A mouse button has been pressed. */
		Move,			/*! The mouse location has changed. */
		Scroll,			/*! The scroll wheel has been moved. */
		Enter,			/*! The mouse cursor has moved into the active window. */
		Leave			/*! The mouse cursor has moved out of the active window. */
	};
}
